AntGroovydoc (Gradle API 2.14.1)

org.gradle.api.tasks.javadoc

## Class AntGroovydoc

- java.lang.Object
- - org.gradle.api.tasks.javadoc.AntGroovydoc

- Deprecated.

      @Deprecated
      public class AntGroovydoc
      extends Object

  Generates groovy doc using Ant.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AntGroovydoc(org.gradle.api.internal.project.IsolatedAntBuilder ant, org.gradle.api.internal.ClassPathRegistry ignored)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---

    `void`

    `execute(FileCollection source, File destDir, boolean use, boolean noTimestamp, boolean noVersionStamp, String windowTitle, String docTitle, String header, String footer, String overview, boolean includePrivate, Set<Groovydoc.Link> links, Iterable<File> groovyClasspath, Iterable<File> classpath, Project project)`
    Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AntGroovydoc

          public AntGroovydoc(org.gradle.api.internal.project.IsolatedAntBuilder ant,
                      org.gradle.api.internal.ClassPathRegistry ignored)

      Deprecated.

  - ### Method Detail

    - #### execute

          public void execute(FileCollection source,
                     File destDir,
                     boolean use,
                     boolean noTimestamp,
                     boolean noVersionStamp,
                     String windowTitle,
                     String docTitle,
                     String header,
                     String footer,
                     String overview,
                     boolean includePrivate,
                     Set<Groovydoc.Link> links,
                     Iterable<File> groovyClasspath,
                     Iterable<File> classpath,
                     Project project)

      Deprecated.